%define real_name URPM
%define group %(perl -e 'printf "%%s\\n", "%_vendor" =~ /\\bmandr|\\bmageia/i ? "Development/Perl" : "Applications/CPAN"')

%define rpm_version %(rpm -q --queryformat '%%|EPOCH?{[%%{EPOCH}:%%{VERSION}]}:{%%{VERSION}}|' rpm)

%{expand:%%global compat_perl_vendorarch %(perl -MConfig -e 'printf "%%s\n", "%{?perl_vendorarch:1}" ? "%%{perl_vendorarch}" : "$Config{installvendorarch}"')}

Summary:	Librpm perl bindings for urpmi
Name:		perl-URPM
Version:	5.224
Release:	%mkrel 5
License:	GPL or Artistic
Group:		%group
Source:		%{real_name}-v%{version}.tar.xz
VCS:		https://gitweb.mageia.org/software/rpm/perl-URPM/
URL:		https://metacpan.org/pod/URPM
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(rpm) >= 4.11.0
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(MDV::Packdrakeng)
# For tests:
BuildRequires:	perl(Test::Pod)

# we can now expect librpm API to be backward compatible
Requires:	rpm >= %{rpm_version}
Requires:	perl(MDV::Packdrakeng)
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}
Conflicts:	urpmi < 8.102


%global __requires_exclude perl\\(URPM::DB\\)|perl\\(URPM::Package\\)|perl\\(URPM::Transaction\\)

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%autosetup -n %{real_name}-v%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%{__make} OPTIMIZE="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%{compat_perl_vendorarch}/URPM.pm
%{compat_perl_vendorarch}/URPM
%dir %{compat_perl_vendorarch}/auto/URPM
%{compat_perl_vendorarch}/auto/URPM/URPM.so


%changelog
* Tue Apr 09 2024 wally <wally> 5.224-5.mga10
+ Revision: 2056119
- basesystem rebuild for i686

* Mon Dec 04 2023 tv <tv> 5.224-4.mga10
+ Revision: 2012937
- Rebuild for missing signatures

* Sun Nov 26 2023 tv <tv> 5.224-3.mga10
+ Revision: 2009922
- Rebuild with BS after semi-manual rebuild for perl-5.38

* Wed Oct 25 2023 tv <tv> 5.224-2.mga10
+ Revision: 2001247
- Rebuild for rpm-4.49.0

* Mon Dec 19 2022 pterjan <pterjan> 5.224-1.mga9
+ Revision: 1925371
- 5.224 (Add back support for foo > 5 in property2name*)

* Mon Dec 19 2022 tv <tv> 5.223.1-2.mga9
+ Revision: 1925307
- Revert "fix parsing of provides/requires/obsoletes with [] in the name" which badly breaks urpmi

* Tue Nov 15 2022 pterjan <pterjan> 5.223.1-1.mga9
+ Revision: 1907357
- Drop a debug message

* Sat Nov 12 2022 pterjan <pterjan> 5.223-1.mga9
+ Revision: 1906543
- v5.223 (fix parsing of provides/requires/obsoletes with [] in the name
- Initial rebuild for perl 5.36

* Mon Mar 28 2022 umeabot <umeabot> 5.222-2.mga9
+ Revision: 1829703
- Mageia 9 Mass Rebuild

* Fri Dec 03 2021 tv <tv> 5.222-1.mga9
+ Revision: 1760602
- Harmonize buffer size (thus fixing "invalid line <@provides" for huge pkgs)

* Thu Dec 02 2021 tv <tv> 5.221-1.mga9
+ Revision: 1760554
- Bump static buffer size when generating synthesys

* Sat Oct 23 2021 tv <tv> 5.125-1.mga9
+ Revision: 1752708
- Further prevent SRPM to conflicts with its own build deps with rpm-4.16+

* Wed Oct 20 2021 tmb <tmb> 5.124-3.mga9
+ Revision: 1752358
- bump rel to keep upgrade path
+ tv <tv>
- Fix URL after ovitters mass change

* Tue Oct 19 2021 tv <tv> 5.124-1.mga9
+ Revision: 1752177
- Prevent SRPM to conflicts with its own build deps

* Wed Jun 02 2021 tv <tv> 5.123-4.mga9
+ Revision: 1729269
- Build with rpm-4.17

* Mon May 24 2021 tmb <tmb> 5.123-3.mga9
+ Revision: 1726221
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Wed Nov 04 2020 tv <tv> 5.123-1.mga8
+ Revision: 1642715
- Fix file descriptor leak in rpm transactions
- Build with the flags used to build perl itself
- Make it work with no feature qw(indirect) (aka perl7)

* Fri Jun 19 2020 neoclust <neoclust> 5.122-0.4.mga8
+ Revision: 1596626
- Use P0 to fix build in armv7 instead of make workaround

* Wed Jun 17 2020 pterjan <pterjan> 5.122-0.3.mga8
+ Revision: 1594135
- Clean rebuild
- Build with CFLAGS used to build perl to fix build on armv7hl

* Wed Jun 03 2020 tv <tv> 5.122-0.1.mga8
+ Revision: 1590024
- handle RPM version with "beta" or "rc" in it

* Fri May 01 2020 tv <tv> 5.28-1.mga8
+ Revision: 1577291
- actually support deps on patched Mageia[23]'s rpm-4.11
- fix compiling with rpm-4.10 (eg: Debian 7 Wheezy)

* Wed Apr 29 2020 tv <tv> 5.27-1.mga8
+ Revision: 1573210
- fix testing on pre UsrMove Linuxes (eg: mga2)
- restore support for rpm-4.9

* Tue Apr 21 2020 tv <tv> 5.26-1.mga8
+ Revision: 1570378
- restore support for building on mga4 (broken in 5.24)

* Wed Apr 08 2020 tv <tv> 5.25-1.mga8
+ Revision: 1565642
- add support for reinstall (needs rpm >= 4.12.x)
- workaround rpm-4.16 adding provides to SRPMs, thus fixing urpmi testuite

* Thu Feb 20 2020 umeabot <umeabot> 5.24.1-3.mga8
+ Revision: 1547124
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 joequant <joequant> 5.24.1-2.mga8
+ Revision: 1487554
- fix provides

* Fri Jan 17 2020 tv <tv> 5.24.1-1.mga8
+ Revision: 1481330
- make test more universal
- fix support for hdlist compressed with !gzip
- CPAN testers:
  o display rpm version in flags
  o fix indexation (RT#127881)
  o fix a test on Fedora where perl main package is perl-interpreter
  o workaround CPAN testers that run FreeBSD (RT#131162)
  o Workaround CPAN testers that run CentOS 7 (RT#131163)

* Mon Dec 30 2019 tv <tv> 5.23-1.mga8
+ Revision: 1474877
- add support for synthesis compressed with zstd
- document URPM::Signature
- fix CPAN indexation (RT#119936)

* Wed Sep 04 2019 tv <tv> 5.21-5.mga8
+ Revision: 1436964
- really rebuild for rpm-4.15

* Wed Sep 04 2019 tv <tv> 5.21-4.mga8
+ Revision: 1436863
- rebuild for rpm-4.15

* Mon Aug 26 2019 tv <tv> 5.21-3.mga8
+ Revision: 1432464
- rebuild with perl-5.30 on BS (for missing signature)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Tue Sep 18 2018 tv <tv> 5.21-1.mga7
+ Revision: 1259511
- fix callback parameters doc
- restore rpm-4.11.x compatibility

* Sun Sep 16 2018 tv <tv> 5.20-1.mga7
+ Revision: 1259242
- restore support for rpm < 4.14.2

* Sat Sep 15 2018 tv <tv> 5.19-1.mga7
+ Revision: 1258989
- add support for verify callback when installing (mga#23531)

* Sun Aug 05 2018 tmb <tmb> 5.18-3.mga7
+ Revision: 1247851
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Mon Jun 25 2018 tv <tv> 5.18-1.mga7
+ Revision: 1239649
- Don't select an obsolete package to resolve dependencies/conflicts
  (mga#23223)

* Thu Jun 14 2018 tv <tv> 5.17-1.mga7
+ Revision: 1236818
- fix finding better pkg (mga#23037)

* Sat Feb 10 2018 tv <tv> 5.16-1.mga7
+ Revision: 1200053
- make clear URPM needs rpm >= 4.14
- restore compatibility with rpm-4.12.x & 4.13.x
- revert fix for segfault with rpm-4.14 when checking invalid signatures as rpm
  got fixed
- restore rpm-4.12.x compatibility
- restore rpm-4.13.x compatibility
- use ExtUtils::PkgConfig in order to get rpm installed
- cpan testers:
  o add cflags reported by pkgconfig
    (needed for eg: FreeBSD where rpm is installed under /usr/local)
  o advertize the proper pkg for most distros
  o skip all rpmdb tests on Debian/Ubutun
  o skip failing tests on *BSD
- switch Urpm_verify_rpm() to use rpmReadPackageFile() to support back ignoring
  signatures with rpm 4.14 (mga#21886)

* Tue Oct 03 2017 tv <tv> 5.15-1.mga7
+ Revision: 1167995
- testsuite:
  o fix segfault with rpm-4.14 when checking invalid signatures
  o revert workaround perl-5.26 vs librpm bug which results on exit cleanup

* Tue Oct 03 2017 tv <tv> 5.14-3.mga7
+ Revision: 1167247
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 wally <wally> 5.14-2.mga7
+ Revision: 1160971
- rebuild for arm

* Thu Sep 07 2017 tv <tv> 5.14-1.mga7
+ Revision: 1151760
- use native 64bit integers instead of Math::Int64
  (needs perl >= 5.26.0-8.mga7)

* Wed Aug 30 2017 neoclust <neoclust> 5.13-4.mga7
+ Revision: 1148465
- Rebuild on the BS
- Bump release to rebuild against non bootstrapped perl (mga#21441)
+ tv <tv>
- restore rpm 4.13 support

* Wed Aug 23 2017 tv <tv> 5.13-1.mga7
+ Revision: 1143560
- add support to rpm-4.14
  (thus breaking support for rpm <= 4.13)
- test failure:
  o fix test failure with perl-5.26
  o workaround perl-5.26 vs librpm bug which results on exit cleanup

* Sun Jul 23 2017 tv <tv> 5.12-5.mga7
+ Revision: 1129070
- workaround perl-5.26 vs librpm bug on exit cleanup
- reenable testsuite

* Sat Jul 22 2017 neoclust <neoclust> 5.12-4.mga7
+ Revision: 1126819
- Rebuild against new Perl 5.26
- Try to rebuild against new perl
+ pterjan <pterjan>
- Fix rpm_version to use rpm version and not ours
+ tv <tv>
- fix test failure with perl-5.26
- rebuild for new perl

* Thu Nov 10 2016 tv <tv> 5.12-1.mga6
+ Revision: 1066250
- fix more compilation warnings
- make sure to use int64 on 32bit arch
  else we may got total size to overflow (mga#19686)

* Thu Oct 20 2016 tv <tv> 5.11-1.mga6
+ Revision: 1062714
- fix some compilation warnings
- fix a crash introduced by mga#15353 fix if not in debug mode

* Tue Oct 18 2016 tv <tv> 5.10-1.mga6
+ Revision: 1061746
- support querying size of 4gb+ packages
- use 64bit for package size on 32bit too (mga#19571)
- requires perl(Math::Int64)
- just drop %%compat_makeinstall_std as %%make_install is available everywhere as part of std rpm

* Sun Oct 16 2016 tv <tv> 5.09-2.mga6
+ Revision: 1061076
- don't crash if /etc/urpmi/skip.list RE is wrong (mga#15353)
- use %%make_install in %%compat_makeinstall_std

* Fri Oct 14 2016 tv <tv> 5.08-2.mga6
+ Revision: 1060806
- fix reporting problems when checking transaction
- fix reporting size on big packages (mga#19571)
- add VCS tag

* Thu May 12 2016 tv <tv> 5.07-2.mga6
+ Revision: 1013975
- rebuild for perl-5.22

* Thu Apr 14 2016 tv <tv> 5.07-1.mga6
+ Revision: 1001429
- add support for "elem" callback
  (needs rpm >= rpm-4.13.0-0.rc1.28)
- don't push $fullname to callback stack
  (need a new urpmi)

* Fri Feb 12 2016 umeabot <umeabot> 5.06-10.mga6
+ Revision: 958195
- Mageia 6 Mass Rebuild
+ tv <tv>
- improved summary

* Sat Sep 05 2015 tv <tv> 5.06-9.mga6
+ Revision: 873129
- submit to core/release

* Sun Aug 23 2015 tv <tv> 5.06-8.mga6
+ Revision: 868195
- rebuild for rpm-4.13
- submit to core/release

* Sat Aug 01 2015 tv <tv> 5.06-6.mga6
+ Revision: 860287
- rebuild for rpm-4.13

* Thu Jun 25 2015 tv <tv> 5.06-5.mga6
+ Revision: 843526
- rebuild with soname-ified perl

* Wed Jun 24 2015 tv <tv> 5.06-4.mga6
+ Revision: 842505
- rebuild with soname-ified perl

* Tue Jun 23 2015 tmb <tmb> 5.06-3.mga6
+ Revision: 840400
- rebuild with buildsystem
- rebuild with perl-5.22

* Sun Apr 12 2015 tv <tv> 5.06-1.mga5
+ Revision: 820071
- fix upgrade when package's in several media (mga#15350)

* Thu Feb 26 2015 pterjan <pterjan> 5.05-1.mga5
+ Revision: 817070
- fix a segfault when callbacks don't get a header

* Thu Feb 26 2015 tv <tv> 5.04-1.mga5
+ Revision: 817028
- callbacks now get pkg name instead of just pkg id
  thus fixing unknown package name on erases (mga#15032)

* Fri Nov 14 2014 tv <tv> 5.03-1.mga5
+ Revision: 797063
- add a missing PUTBACK in traverse_tag_find()
- handle non numeric returns for traverse_tag_find callback (warning fix)

* Sun Oct 26 2014 tv <tv> 5.02-1.mga5
+ Revision: 793568
- add >recommends method (mga#14376)

* Thu Oct 23 2014 tv <tv> 5.01-1.mga5
+ Revision: 792550
- fix crashing in ptread when using log callback with rpm-4.12

* Wed Oct 15 2014 umeabot <umeabot> 5.00-5.mga5
+ Revision: 749114
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 tv <tv> 5.00-4.mga5
+ Revision: 693161
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 tv <tv> 5.00-3.mga5
+ Revision: 675468
+ rebuild (emptylog)

* Sun Sep 14 2014 tv <tv> 5.00-2.mga5
+ Revision: 675388
- rebuild

* Sat Sep 13 2014 tv <tv> 5.00-1.mga5
+ Revision: 675099
- revert olav change that broke group tag
- make it compatible with rpm-4.12.0
- use new recommends tags instead of suggests ones
- rename "suggests" method as "recommends_nosense"
- add support for generating @recommends@ lines instead of @suggests@ ones in
  synthesis
- rename *suggests* subs as *recommends*
- rename "no_suggests" option as "no_recommends"
- {suggested} is renamed {recommended} in state

* Fri Jun 27 2014 tv <tv> 4.31-1.mga5
+ Revision: 640443
- compare(): croak if used on URPM::Package object (mga#12766)
- enhanced doc
- kill support for kernel-*source-stripped

* Mon Jun 02 2014 pterjan <pterjan> 4.30-3.mga5
+ Revision: 630702
- Rebuild cleanly
- Rebuild for new Perl

* Thu May 01 2014 tv <tv> 4.30-1.mga5
+ Revision: 619277
- fix 64k size limit on provides size that break installing 32 bit kernel for
  drakx-installer-binaries
- fix a warning in debug mode

* Tue Feb 04 2014 tv <tv> 4.29-2.mga5
+ Revision: 581787
- rebuild for new perl

* Tue Nov 05 2013 tv <tv> 4.29-1.mga4
+ Revision: 549632
- enhanced doc
- "implement" create_transaction() in --env case
- $trans->order: add support for "deploops" option

* Mon Oct 21 2013 umeabot <umeabot> 4.28-2.mga4
+ Revision: 539079
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 tv <tv> 4.28-1.mga4
+ Revision: 491334
- adapt to perl-5.18 random hash keys ordering
- coverity fixes

* Fri Aug 23 2013 fwang <fwang> 4.27-3.mga4
+ Revision: 469921
- rebuild for new perl

* Wed May 29 2013 jquelin <jquelin> 4.27-2.mga4
+ Revision: 431370
- perl 5.18.0 rebuild

* Sat Mar 23 2013 tv <tv> 4.27-1.mga3
+ Revision: 404626
- fix selecting right DKMS flavor (mga#9172)
- fix URL

* Sat Feb 09 2013 tv <tv> 4.26-1.mga3
+ Revision: 397666
- add basic support for --downgrade (mga#6655)

* Tue Feb 05 2013 tv <tv> 4.25-1.mga3
+ Revision: 394674
- fix retrieving payload format

* Sun Feb 03 2013 tv <tv> 4.24-1.mga3
+ Revision: 394311
- enhanced doc
- enable to report script & I/O errors

* Mon Jan 21 2013 tv <tv> 4.23-1.mga3
+ Revision: 390561
- drop merged patch
- fix scoring locale packages

* Sun Jan 13 2013 umeabot <umeabot> 4.22-2.mga3
+ Revision: 374584
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 tv <tv> 4.22-1.mga3
+ Revision: 332100
- rpm-4.11 fixes:
  o fix compiling with it
  o prevent creating empty transactions in rare cases
    (that cause rpm to abort on assert while creating a new pool)

* Fri Dec 07 2012 tv <tv> 4.21.1-1.mga3
+ Revision: 327829
- fix EVR() on packages from rpmdb (was ok on synthesis ones) (mga#7739)

* Tue Dec 04 2012 tv <tv> 4.21-1.mga3
+ Revision: 326487
- prefer package from first medium when same NEVR exists in several media
  (thus prefering 64bit media over 32 bit ones) (mga#7524)

* Mon Dec 03 2012 tv <tv> 4.20-1.mga3
+ Revision: 325752
- fix a rare segfault

* Sun Dec 02 2012 tv <tv> 4.19-1.mga3
+ Revision: 325368
- kill pkg->disttag (unused, introduced for rpm5 prior to the fork)
- reduce code size

* Wed Nov 21 2012 tv <tv> 4.18-3.mga3
+ Revision: 320002
- remove debug sleep
- compile with optflags again (was disabled in previous release after debugging)

* Wed Nov 21 2012 tv <tv> 4.18-1.mga3
+ Revision: 319949
- further bump threshold for detecting looping forever
- workaround a segfault (mga#8158)

* Mon Nov 19 2012 tv <tv> 4.17-1.mga3
+ Revision: 319648
- bump threshold for detecting looping forever (mga#8106)
- drop header_filename (long obsolete, no more use)

* Fri Nov 16 2012 tv <tv> 4.16-1.mga3
+ Revision: 318953
- prevent urpmi from looping forever when some packages are broken

* Thu Oct 11 2012 tv <tv> 4.15.1-1.mga3
+ Revision: 304694
- drop support for repackage (non working since rpm-4.6 in 2009)

* Wed Sep 26 2012 tv <tv> 4.15-1.mga3
+ Revision: 298462
- API:
  o add EVR method
  o remove long deprecated find_chosen_packages() & find_candidate_packages()
  o rename find_candidate_packages_() as find_candidate_packages()

* Fri Sep 21 2012 tv <tv> 4.14-1.mga3
+ Revision: 296485
- API: add resolve_requested_suggests()
- slightly increase testsuite coverage
- update outdated doc

* Tue Aug 28 2012 tv <tv> 4.13-3.mga3
+ Revision: 284980
- rebuild for new binutils

* Fri Aug 24 2012 pterjan <pterjan> 4.13-2.mga3
+ Revision: 283402
- Clean rebuild
- Add a Package::doc_files() method

* Sat Aug 11 2012 blino <blino> 4.12-1.mga3
+ Revision: 280575
- 4.12
- do not try to parse current pointer when the line is invalid or
  empty (detected by valgrind)
- don't read/write after the string when the synthesis is slightly
  malformed

* Fri Aug 10 2012 tv <tv> 4.11-1.mga3
+ Revision: 280371
- drop compatibility with urpmi <= 4.5-13mdk (2004-07-09)
- fix arch of spec headers (regression introduced in 4.8)

* Fri Aug 03 2012 tv <tv> 4.10-3.mga3
+ Revision: 278317
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 4.10-2.mga3
+ Revision: 277893
- rebuild with mini debug info

* Thu Jun 28 2012 tv <tv> 4.10-1.mga3
+ Revision: 264780
- really enable to traverse rpm db by fullname

* Mon Jun 25 2012 tv <tv> 4.9-1.mga3
+ Revision: 263631
- fix setting rflags on packages (mga#6532)

* Sat Jun 23 2012 tv <tv> 4.8-2.mga3
+ Revision: 262738
- fix computing packages rflags (#6532)

* Fri Jun 22 2012 tv <tv> 4.8-1.mga3
+ Revision: 262664
- enable to read xz & bzip2 compressed synthesis
- internal cleanups
- ranges_overlap(): use rpm to compute whether it overlaps or not

* Tue Jun 19 2012 tv <tv> 4.7-1.mga3
+ Revision: 261966
- workaround changes in rpm-4.10.0 leaving us to leak fds (mga#6453)

* Mon Jun 18 2012 tv <tv> 4.6-1.mga3
+ Revision: 261773
- drop 'direction' parameter in obsoletes_overlap() & provides_overlap()
- fix default 'direction' for provides_overlap()
  (regression in URPM-4.2)
- internal cleanups

* Sun Jun 17 2012 tv <tv> 4.5-1.mga3
+ Revision: 261266
- drop support for old mdv2008.0 suggests (RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK)
- internal cleanups

* Fri Jun 15 2012 tv <tv> 4.4-1.mga3
+ Revision: 260840
- internal cleanups
- obsoletes_overlap(), ranges_overlap(): drop unused 'nopromotion' parameter
  (always hardcoded to 1 at least for 5 years)

* Thu Jun 14 2012 tv <tv> 4.3-2.mga3
+ Revision: 260644
- compile with -o2 again

* Thu Jun 14 2012 tv <tv> 4.3-1.mga3
+ Revision: 260639
- fix a very old segfault in unused code
- internal cleanups
- reduce code size

* Wed Jun 13 2012 tv <tv> 4.2-1.mga3
+ Revision: 260339
- clean DB API (needs a new urpmi)
- internal cleanups
- reduce code size
- drop subrel

* Mon Jun 11 2012 tv <tv> 4.1-1.1.mga3
+ Revision: 259718
- drop import_pubkey function (dead for 5 years)
- fix importing pubkeys with rpm-4.10.0 (eg: when adding media)

* Fri Jun 08 2012 tv <tv> 4.0-3.1.mga3
+ Revision: 258004
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-2.1.mga3
+ Revision: 257970
- rebuild for new rpm-4.10.0

* Fri Jun 08 2012 tv <tv> 4.0-1.1.mga3
+ Revision: 257942
- drop URPM::Query (broken for years)
- drop support for rpm-4.8.x
- kill functions unimplemented for years
- reduce code size

* Fri Mar 16 2012 tv <tv> 3.40-1.1.mga2
+ Revision: 223706
- add URPM::traverse_tag_find() for urpme --env

* Mon Feb 27 2012 tv <tv> 3.39-1.1.mga2
+ Revision: 215699
- do not add FILENAME_TAG to hdlist anymore (unused since mdv2008)
- fix for a rare crash (mga#4425)
- put real package file sizes in synthesis

* Wed Feb 08 2012 tv <tv> 3.38.8-1.1.mga2
+ Revision: 206228
- switch from forking unpacker to using librpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.1.mga2
+ Revision: 206210
- rediff patch
- build with patch for patched rpm

* Tue Feb 07 2012 tv <tv> 3.38.7.1-1.mga2
+ Revision: 206188
- cleanups
- fix computing size of added/freed disk space when updating involves removing
  some packages (mga#4427)
- really prefer packages from first media, thus fixing downloading noarch
  packages from 32 bit repository (mga#1603)
- package smaller NEWS instead of bigger ChangeLog

* Sun Jan 15 2012 tv <tv> 3.38.6-2.1.mga2
+ Revision: 196555
- bump release for updates_testing

* Sun Jan 15 2012 tv <tv> 3.38.6-2.mga2
+ Revision: 196551
- disable patch 0 in core/release

* Sun Jan 15 2012 tv <tv> 3.38.6-1.4.mga2
+ Revision: 196495
- patch 0: fix regression in testing suite
- patch 0: switch from forking unpacker to using librpm.diff (upstream patch)
  (mga #1962)
+ blino <blino>
- 3.38.6
- support kernel 3.x in kmod resolution

* Mon Dec 19 2011 tv <tv> 3.38.5-1.3.mga2
+ Revision: 184269
- bump subrel for updates_testing

* Mon Dec 19 2011 tv <tv> 3.38.5-1.2.mga2
+ Revision: 184234
- fix parsing a spec file with rpm-4.9
  (regression introduced when adding support for rpm-4.9)
- enable to traverse db by fullname
- fix slow matching of individual regexes for skipping dependencies by creating
  a large regex to match them all at once (mdv#61389, Shlomi Fish)

* Tue Oct 11 2011 dmorgan <dmorgan> 3.38.4-1.2.mga2
+ Revision: 153855
- Add subrel for testing

* Sat Sep 17 2011 tv <tv> 3.38.4-1.mga2
+ Revision: 144431
- fix calling method in string
  (spoted by perl_checker, introduced in revision mga#267800 ("honour search
   medias when using --auto-select") by teuf on Fri Apr 23 2010
- new release
- BR perl-Test-Pod for tests
- really rebuild with rpm-4.9
+ dmorgan <dmorgan>
- Bump release to push in testing

* Sat Sep 10 2011 dmorgan <dmorgan> 3.38.2-4.mga2
+ Revision: 142033
- Rebuild to replace manually build rpm in testing

* Fri Sep 09 2011 tv <tv> 3.38.2-3.mga2
+ Revision: 141926
- fix spec2srcheader() for rpm-4.9.x
- use xz compression

* Mon Aug 29 2011 fwang <fwang> 3.38.1-3.mga2
+ Revision: 136130
- rebuild for new perl

* Sun Jun 12 2011 ahmad <ahmad> 3.38.1-2.mga2
+ Revision: 104562
- Rebuild for missing signature

* Thu Apr 21 2011 tv <tv> 3.38.1-1.mga1
+ Revision: 89380
- fix crashing while removing several packages (#248)
- enable to compile with rpm-4.9.x
+ misc <misc>
- clean BR and conflict

* Mon Mar 07 2011 tv <tv> 3.38-4.mga1
+ Revision: 65812
- try harder/again to fix bug #248 (MDV#61144)
  (-fno-gcse might not be enough with newer gcc)

* Tue Mar 01 2011 dmorgan <dmorgan> 3.38-3.mga1
+ Revision: 62050
- Rebuild against rpm 4.8.1

* Tue Jan 18 2011 blino <blino> 3.38-2.mga1
+ Revision: 23454
- buildrequire perl-devel
- use Development/Perl for Mageia as well
- remove old release hack
+ nanardon <nanardon>
- kill empty lines
+ jquelin <jquelin>
- imported package perl-URPM


* Tue Nov 16 2010 Joao Victor Martins <jvictor@mandriva.com> 3.38-1mdv2011.0
+ Revision: 598100
- Fix the gpg key parsing to handle PEM encapsulated header portion (bug #61636)

* Fri Oct 29 2010 Thierry Vignaud <tv@mandriva.org> 3.37-6mdv2011.0
+ Revision: 590284
+ rebuild (emptylog)

* Wed Oct 20 2010 Thierry Vignaud <tv@mandriva.org> 3.37-4mdv2011.0
+ Revision: 587000
- fix crashing on undefined packages (#54521)

* Sun Oct 17 2010 Thierry Vignaud <tv@mandriva.org> 3.36-4mdv2011.0
+ Revision: 586188
- reenable $RPM_OPT_FLAGS; whereas -O1 is OK, -O2 is OK too with -fno-gcse to
  stop URPM from segfaulting (#61144)
- explain

* Sun Oct 17 2010 Thierry Vignaud <tv@mandriva.org> 3.36-3mdv2011.0
+ Revision: 586181
- disable $RPM_OPT_FLAGS which cause URPM to segfault

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 3.36-2mdv2011.0
+ Revision: 564588
- rebuild for perl 5.12.1

* Fri Jul 23 2010 Olivier Thauvin <nanardon@mandriva.org> 3.36-1mdv2011.0
+ Revision: 557106
- 3.36 (minor fix for perl-5.12)

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.35-3mdv2011.0
+ Revision: 555280
- rebuild

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for 5.12

* Mon Apr 26 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.35-1mdv2010.1
+ Revision: 539035
- perl-URPM 3.35:
- when using auto-select, honour search-medias if some were specified

* Tue Mar 23 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.34.1-1mdv2010.1
+ Revision: 526822
- perl-URPM 3.34.1:
- really fix #57224, I forgot a patch in the previous release

* Wed Feb 24 2010 Christophe Fergeau <cfergeau@mandriva.com> 3.34-1mdv2010.1
+ Revision: 510603
- 3.34:
- check for conflicting selected packages before selecting a package (#57224)
  (by Anssi Hannula)

* Mon Oct 05 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.33-1mdv2010.0
+ Revision: 453927
- forgot tarball
- 3.33:
- fix lookup of existing pubkeys (#53710) (by Pascal Terjan)

* Mon Aug 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.32-1mdv2010.0
+ Revision: 414329
- 3.32:
- backtrack_selected: use set_rejected_and_compute_diff_provides for package
  removal (Anssi Hannula)
- obey options (keep, nodeps) when unselecting current package in the case
  that was added in 3.31 (Anssi Hannula)

* Tue Jul 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.31-1mdv2010.0
+ Revision: 402528
- 3.31:
- add support for querying %%disttag & %%distepoch (by Per ?\195?\152yvind Karlsen)
- clean up and bring back rpm5.org support (by Per ?\195?\152yvind Karlsen)
- keep track of sources for obsoleted/removed levels (#50666) Anssi Hannula)
- keep psel/promote info and remove deadlocked pkg instead of aborting upgrade
  (#52105, Anssi Hannula)
- _handle_conflicts: check all provides for conflicts, not just package name
  (#52135, Anssi Hannula)
- unselect current package if an avoided package is already selected (#52145,
  Anssi Hannula)
- do not try to promote to an older package (#52460, Anssi Hannula)
- add a backtrack entry "conflicts" for avoided packages in backtrack_selected
  (#52153, Anssi Hannula)

* Mon May 11 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.30-1mdv2010.0
+ Revision: 374686
- 3.30:
- rework public key handling since librpm behaviour has changed. It's no longer
  possible to tell it to add the same key multiple times which was causing
  weird "unable to import pubkey" messages when a mirror contains different
  pubkeys for the same key

* Fri Mar 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.29-1mdv2009.1
+ Revision: 361620
- 3.29:
- fix regression introduced by fix for bug #47803 (fix by Anssi Hannula).
  Without this patch, urpmi got stuck in an infinite loop when trying
  to upgrade from 2008.1.

* Wed Mar 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.28-1mdv2009.1
+ Revision: 361025
- 3.28:
- postpone user choices as much as possible to avoid asking the user
  unnecessary questions, (bug #48100, Anssi Hannula)
- 3.27:
- don't silently install suggests (bug #47934)
- fix _handle_diff_provides in case of impossible-to-satisfy selected
  packages (bug #48223, Anssi Hannula)
- check rep for another pkg providing X if the prev pkg gets removed
  due to a conflict (bug #47803, Anssi Hannula)

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 3.26-1mdv2009.1
+ Revision: 348828
- verify_signature: enable to check signatures against a chrooted rpmdb
  (especially important for installer where there's no rpmdb in / and thus no
  keys to check against)

* Fri Jan 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.25-1mdv2009.1
+ Revision: 330199
- 3.25
- previous fix for bug #46874 was bogus, really fix it this time

* Tue Jan 13 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.24-1mdv2009.1
+ Revision: 329026
- 3.24
- fix sorting choices on provided version (feature introduced in 3.08,
  but was not working if packages were coming from different repository)
- when a "Requires:" can be fullfilled by several different packages and
  one of those packages is explicitly required by another package which
  is also being installed, silently choose this package instead of letting
  the choice up to perl-URPM user (fixes bug #46874)

* Mon Dec 15 2008 Pixel <pixel@mandriva.com> 3.23-1mdv2009.1
+ Revision: 314472
- 3.23: fix bad free() (thanks to glibc for detecting it)

* Fri Dec 12 2008 Pixel <pixel@mandriva.com> 3.22-1mdv2009.1
+ Revision: 313619
- 3.22:
- fix scriptlet failing:
  adapt to librpm4.6, rpmtsSetRootDir(ts, "") is forbidden

* Tue Dec 09 2008 Pixel <pixel@mandriva.com> 3.21-1mdv2009.1
+ Revision: 312302
- 3.21:
- adapt to librpm4.6
- drop list_rpm_tag()

* Tue Oct 14 2008 Pixel <pixel@mandriva.com> 3.20-1mdv2009.1
+ Revision: 293731
- 3.20:
- $trans->run can now return both the translated errors, and some parsable
  errors (useful for example to detect diskspace issues)

* Tue Oct 07 2008 Pixel <pixel@mandriva.com> 3.19-1mdv2009.0
+ Revision: 291158
- 3.19: handle flag "replacefiles"

* Mon Jul 07 2008 Pixel <pixel@mandriva.com> 3.18-1mdv2009.0
+ Revision: 232635
- 3.18:
- revert change introduced in 3.16 (it breaks too much, eg
  superuser--priority-upgrade.t test case), and introduce
  $state->{rejected_already_installed} instead
- add traverse_tag_find(), removed_or_obsoleted_packages()
- handle $state->{orphans_to_remove} in selected_size() and
  build_transaction_set()

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 3.16-1mdv2009.0
+ Revision: 229288
- 3.16:
- when not selecting a package because already installed,
  put it in $state->{rejected} with flags {installed}

* Tue Jun 24 2008 Pixel <pixel@mandriva.com> 3.15-1mdv2009.0
+ Revision: 228517
- 3.15: fix urpmi wrongly considering epochless conflicts to match any epoch
  in a case when urpmi should upgrade a conflicting package to an actually
  non-conflicting version (cf epochless-conflict-with-promotion urpmi test)
  (Anssi)

* Fri May 23 2008 Pixel <pixel@mandriva.com> 3.14-1mdv2009.0
+ Revision: 210240
- 3.14: add is_package_installed() in URPM/Resolve.pm (to be used in urpmi 5.20)

* Tue May 20 2008 Pixel <pixel@mandriva.com> 3.13-1mdv2009.0
+ Revision: 209327
- 3.13: do not ignore dropped provide from updated package (mdvbz#40842)

* Fri Mar 07 2008 Pixel <pixel@mandriva.com> 3.12-1mdv2008.1
+ Revision: 181373
- 3.12:
- do allow to promoting a pkg even if it has unsatisfied require (since the
  code will then fix the unsatisfied require). fixes "big transaction"
  (cf urpmi split-transactions--strict-require.t test_efgh())
- rpm5.org port done (by Per Oyvind Karlsen)

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 3.11-1mdv2008.1
+ Revision: 176218
- 3.11:
- restore FILENAME_TAG in generated hdlist (to be compatible with older
  distros where ->filename can rely on it) (thanks to Nanar)

* Tue Feb 26 2008 Pixel <pixel@mandriva.com> 3.10-1mdv2008.1
+ Revision: 175188
- 3.10:
- add filesize to synthesis, add ->filesize to get it, and add
  selected_size_filesize() to compute the sum
- allow urpmi to know a package was not selected because a newer version is
  installed (#29838)
- handle new package providing xxx which conflicts with an installed package (#17106)
- fix sort choices changed in perl-URPM 3.08
- allow fixing "using one big transaction" that occurs when using --keep
  (#30198)
- do not add FILENAME_TAG and FILESIZE_TAG to hdlist anymore,
  deprecate ->filename and ->header_filename,
  deprecate URPM::Build build_hdlist and parse_rpms_build_headers

* Mon Feb 25 2008 Pixel <pixel@mandriva.com> 3.08-1mdv2008.1
+ Revision: 174608
- 3.08: sort choices on virtual package by provided version (#12645)

* Fri Jan 25 2008 Pixel <pixel@mandriva.com> 3.07-3mdv2008.1
+ Revision: 157996
- we can now expect librpm API to be backward compatible

* Sun Jan 13 2008 Pixel <pixel@mandriva.com> 3.07-2mdv2008.1
+ Revision: 150905
- rebuild for perl 5.10.0

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 3.07-1mdv2008.1
+ Revision: 147885
- 3.07: fix regression in release 3.06

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 3.06-1mdv2008.1
+ Revision: 147880
- 3.06:
- add URPM::Package->changelogs, a wrapper around ->changelog_time, ->changelog_name, ->changelog_text
- resolve kmod requires even if first choice is a source dkms

* Tue Jan 08 2008 Pixel <pixel@mandriva.com> 3.05-2mdv2008.1
+ Revision: 146591
- force rebuild
- 3.05: fix regression in ->parse_rpm (introduced in 3.00)
  (was breaking genhdlist2 and mkcd)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Pixel <pixel@mandriva.com> 3.04-1mdv2008.1
+ Revision: 135514
- 3.04: fix regression in parse_pubkeys() (introduced in 3.00) (#36121)
- 3.03:
- suggests:
  handle both RPMTAG_SUGGESTSNAME (as done in SuSE and in Mandriva > 2008.0)
  and RPMTAG_REQUIRENAME + RPMSENSE_MISSINGOK (as done in Mandriva 2008.0)
- 3.02:
- fix "make test" on rpm 4.4.2.2
- fix rpm 4.5 support

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Pixel <pixel@mandriva.com> 3.01-1mdv2008.1
+ Revision: 117313
- 3.01: add URPM::DB::verify()

* Tue Dec 11 2007 Pixel <pixel@mandriva.com> 3.00-1mdv2008.1
+ Revision: 117185
- 3.00:
- replace ->import_needed_pubkeys and ->import_pubkey in favor of
  import_needed_pubkeys_from_file() and ->import_pubkey_file
  (! this breaks API !)
- drop $package->upgrade_files() (unused for a long time afaik)
- rpm.org HEAD support
- conflicting with urpmi & drakx-installer-stage2 which use old
  ->import_needed_pubkeys API
- enable "make test" again

  + Thierry Vignaud <tv@mandriva.org>
    - fix URL

* Thu Nov 22 2007 Pixel <pixel@mandriva.com> 2.10-1mdv2008.1
+ Revision: 111320
- 2.10:
- much simpler --auto-select algorithm
  (fixes #35718, ie auto-selecting with strict-arch)
  (!! DANGEROUS CHANGE !!)
- rpm 4.5 support (thanks to peroyvind) (#35323)
- 2.09: use a simple function to return simple string list from header
  (fixes getting >4096 long rpm changelogs)
  (!! static buffer size limitation in callback_list_str_xpush() should be fixed !!)
- 2.08: fix build on rpm 4.4.2.2

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - make queryformat conditional for %%rpm_version

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 2.07-1mdv2008.0
+ Revision: 94166
- 2.07:
- prefer precompiled kmod packages corresponding to installed kernels
- don't resolve suggested virtual packages if already installed (#34376)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 2.06-1mdv2008.0
+ Revision: 93781
- 2.06: also handle promotion via obsolete for conflicts

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 2.05-1mdv2008.0
+ Revision: 93580
- 2.05:
- package promotion must respect strict_arch
- enhance sorted graph by better taking into account conflicts from state->{rejected}
  (fixes "big transaction" in urpmi split-transactions--strict-require.t test)

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 2.04-1mdv2008.0
+ Revision: 93326
- 2.04: handle promotion via obsolete, not only provides

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 2.03-1mdv2008.0
+ Revision: 91452
- 2.03: fix bug doing "urpmi kernel-source"

* Tue Sep 18 2007 Pixel <pixel@mandriva.com> 2.02-1mdv2008.0
+ Revision: 89712
- 2.02:
- prefer every kernel-<flavor>-devel-<version> packages for which
  kernel-<flavor>-<version> is selected
- fix regression in 2.00: we can't cache the platform, cache the result of
  is_arch_compat instead

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 2.01-1mdv2008.0
+ Revision: 85620
- bug fix release, 2.01:
- fix bug occurring with --keep
- fix regression in 2.00: keep_unrequested_dependencies is still used by
  installer. restore it, but must now be set trough
  $urpm->{keep_unrequested_dependencies}

* Thu Sep 13 2007 Pixel <pixel@mandriva.com> 2.00-1mdv2008.0
+ Revision: 85088
- new major release 2.00 since many things have changed in the algorithm
  (but no API breakage)
- speedup is_arch_compat (7 times faster) by keeping the platform in a cache
- do not propose packages for non installed locales
- pass the prefered choices to {callback_choices}: this allows urpmi to select
  all the prefered packages according to installed locales
- handle promote for conflict from installed package
  (fixes test_gh() from urpmi split-transactions--promote test case)
- handle promote from installed package which require a unselected package,
  whereas new package does not require it anymore
  (cf test_d & test_e from split-transactions--conflict urpmi test case)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.80-1mdv2008.0
+ Revision: 78613
- bug fix release, 1.80:
- fix bug in sort_graph (used by build_transaction_set)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 1.79-1mdv2008.0
+ Revision: 78485
- bug fix release, 1.79:
- fix bug in sort_graph (used by build_transaction_set)

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 1.78-1mdv2008.0
+ Revision: 77001
- bug fix release, 1.78
- fix dead-loop in build_transaction_set (#33020)

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 1.77-1mdv2008.0
+ Revision: 73531
- new release, 1.77
- disable "dropping tags from rpm header" until we can safely use it

* Tue Aug 28 2007 Pixel <pixel@mandriva.com> 1.76-1mdv2008.0
+ Revision: 72755
- new release, 1.76
- build_transaction_set: new sort algorithm which allow returning sets of
  circular dependent packages, taking into account obsoleted packages
  (fixes #31969). It may still fail in presence of conflicts
- allow running transaction with justdb option
- fix split_length > 1
  (eg: "urpmi --split-length 2 a b c" will only install 2 pkgs)
- spec2srcheader: workaround parseSpec returning a header where ->arch is set
  to %%{_target_cpu} whereas we really want a header similar to .src.rpm
  (see #32824)

* Sun Aug 12 2007 Pixel <pixel@mandriva.com> 1.75-1mdv2008.0
+ Revision: 62370
- new release, 1.75
- fix dropping tags from rpm header.
  it hasn't work since MDK8.1 and rpm 4.0.
  it may break urpmi!! but potentially allows a much smaller hdlist.cz :)
- new release, 1.74
- sort choices per media, then per version

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 1.73-1mdv2008.0
+ Revision: 61936
- new release, 1.73
- allow running transaction with replagekgs option

* Fri Aug 10 2007 Pixel <pixel@mandriva.com> 1.72-1mdv2008.0
+ Revision: 61597
- new release, 1.72
- modify parse_hdlist so that partial hdlist reading can be used
  (needed when some stuff is already done in the callback)

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.71-1mdv2008.0
+ Revision: 60857
- new release 1.71
- compilation fixes on rpm < 4.4.8

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.70-1mdv2008.0
+ Revision: 60842
- new release 1.70
- compilation fixes on rpm < 4.4.8

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 1.69-1mdv2008.0
+ Revision: 60823
- new release, 1.69
- "suggests" are no more handled as "requires"
- resolve_requested support "suggests": a newly suggested package is installed
  as if required (can be disabled with option no_suggests)

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 1.68-1mdv2008.0
+ Revision: 58583
- new release, 1.68
- add $trans->Element_version and $trans->Element_release

* Thu Jul 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.67-1mdv2008.0
+ Revision: 48576
- 1.67:
  o fix spec2header
  o add functions to evaluate arch/os/platform

* Mon Jul 02 2007 Pixel <pixel@mandriva.com> 1.66-1mdv2008.0
+ Revision: 47155
- new release, 1.66:
- fix --auto-select skipping some packages because of other packages providing
  a more recent version, but no obsolete between those packages.
  the fix is to revert commit from Aug 2002:
    "fixed propable old package (according provides) requested by
     request_packages_to_upgrade."

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.65-1mdv2008.0
+ Revision: 42313
- 1.65 (really fix arch_score evaluation)

* Tue Jun 12 2007 Pixel <pixel@mandriva.com> 1.64-1mdv2008.0
+ Revision: 38119
- bug fix release 1.64 for rpm 4.4.8
- hack on $pkg->is_arch_compat to make it return true for noarch packages
  when using rpm 4.4.8 (#31314)

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.63-4mdv2008.0
+ Revision: 36192
- rebuild with correct optflags

  + Olivier Thauvin <nanardon@mandriva.org>
    - really rebuild against rpm 4.4.8
    - rebuild for next rpm

* Wed May 09 2007 Pixel <pixel@mandriva.com> 1.63-1mdv2008.0
+ Revision: 25742
- new release, 1.63
- add $trans->Element_fullname

* Thu May 03 2007 Pixel <pixel@mandriva.com> 1.62-1mdv2008.0
+ Revision: 21554
- new release, 1.62
- pass the virtual package name as a parameter to {callback_choices} in
  ->resolve_requested
- add $trans->NElements and $trans->Element_name
  to be able to display name of uninstalled package in callback_uninst
- fix b--obsoletes-->a and c--conflicts-->a prompting for upgrading a
  (need a fix in urpmi which rely on the $state->{rejected}
   to upgrade (-U) b instead of installing (-i) it)


* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 1.60-1mdv2007.1
+ Revision: 138215
- new release, 1.60
- more debugging hooks
- create $urpm->packages_providing($name) and use it
- create $urpm->packages_by_name($name)

* Thu Mar 01 2007 Olivier Thauvin <nanardon@mandriva.org> 1.59-1mdv2007.1
+ Revision: 130646
- 1.59:
  o rpm 4.4.8 adaptions
  o load rpm config files at module load, improve the mechanism

* Wed Feb 14 2007 Pixel <pixel@mandriva.com> 1.58-1mdv2007.1
+ Revision: 120987
- new release
- don't check signature and digest in ->traverse and ->traverse_tag
  (=> x15 speedup here, ie x2.5 speedup on urpmi --auto-select and x2 on rpmdrake)

* Fri Feb 09 2007 Pixel <pixel@mandriva.com> 1.57-1mdv2007.1
+ Revision: 118517
- new release, 1.57
- allow upgrading from noarch to x86_64 even if strict-arch

* Fri Jan 19 2007 Pixel <pixel@mandriva.com> 1.56-1mdv2007.1
+ Revision: 110559
- new release, 1.56
- tell perl that strings from rpm headers are utf8
- add URPM::bind_rpm_textdomain_codeset() to set encoding of messages returned
  by rpmlib, and tell perl that those strings are utf8
- really use strict-arch by default on x86_64

* Wed Jan 10 2007 Pixel <pixel@mandriva.com> 1.55-1mdv2007.1
+ Revision: 106990
- bug fix release, 1.55
- fix "not selecting foo-1 since the more recent foo-1 is installed" causing
  urpmi to try to remove the package it wants to install (#28076)

* Tue Jan 09 2007 Pixel <pixel@mandriva.com> 1.54-1mdv2007.1
+ Revision: 106597
- new release, 1.54
- if we have a choice between foo-1 and bar-1 and foo-2 is installed,
  prefering bar-1 instead of foo-1
  (otherwise we can hit: "the more recent foo-2 is installed, but does not
  provide xxx whereas foo-1 does", cf bug #27991)
- bar is needed, foo-1 does provide bar, installed foo-2 does not provide bar:
  do not let the algorithm use foo-2 as if it also provides bar
- allow understanding what ->resolve_requested is doing through a callback ($urpm->{debug_URPM})
- cleanup some code in ->resolve_requested
- make the documentation for ->is_arch_compat more clear
- remove a warning in "perl Makefile.PL" (and would help "make test")

* Mon Jan 08 2007 Pixel <pixel@mandriva.com> 1.53-1mdv2007.1
+ Revision: 105460
- add missing files to the tarball to allow make test
- get rids of some "used of uninitialized value"

* Mon Dec 04 2006 Pixel <pixel@mandriva.com> 1.52-1mdv2007.1
+ Revision: 90367
- much stricter synthesis parsing:
  o fail on first error,
  o correctly handle gzread errors,
  o correctly handle parsing another synthesis after a buggy one

* Fri Dec 01 2006 Pixel <pixel@mandriva.com> 1.51-1mdv2007.1
+ Revision: 89808
- ensure verify_signature, parse_rpm and update_header do not segfault on weird rpm

* Thu Nov 30 2006 Pixel <pixel@mandriva.com> 1.50-1mdv2007.1
+ Revision: 88899
- fix segfault when using --excludepath (Thierry Vignaud)

* Fri Nov 24 2006 Pixel <pixel@mandriva.com> 1.49-1mdv2007.1
+ Revision: 86902
- strict-arch should not imply that noarch can't upgrade the real arch (#22558)

* Tue Nov 21 2006 Pixel <pixel@mandriva.com> 1.48-1mdv2007.1
+ Revision: 85725
- default to strict-arch on 64bits (tvignaud)
- handle empty hdlist.cz/synthesis.cz (in build_hdlist, build_synthesis, parse_hdlist, parse_synthesis)
- parse_rpms_build_headers: allow asking for packing (and so fixing an error in urpmi)
- documentation & comments enhancement

* Tue Oct 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.47-1mdv2007.0
+ Revision: 65574
- Version 1.47:
  . Ignore self-obsoletes (Pixel)
  . Fix a bogus check, avoids some infinite loops

* Thu Sep 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.46-1mdv2007.0
+ Revision: 60264
- Version 1.46 :
  . prefer stripped kernel source in choices list (needs to be refined)
  . fix URL in spec file

* Tue Aug 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.45-1mdv2007.0
+ Revision: 53955
- 1.45: fix a FD leak (P.Terjan); fix urpmi --strict-arch with SRPMS; cleanup
- Import perl-URPM

* Tue Jun 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.44-1mdv2007.0
- Fixes for rpm 4.4.6

* Wed May 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.43-1mdk
- Fix urpmi .spec by loading macros beforehand (Olivier Thauvin)

* Tue May 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- Fix FD leak (Pascal Terjan)

* Wed May 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.41-1mdk
- Use more recent defines from the rpmlib
- Add a function to traverse transactions

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.40-1mdk
- Fixes for rpm 4.4.5
- Fix traversing rpmdb for "triggeredby" relationship

* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.39-1mdk
- More memory protection
- Fix gcc options

* Mon Mar 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.38-1mdk
- Fix deallocation of rpm transactions

* Fri Mar 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.37-1mdk
- Rewrite verify_rpm(), which wasn't working with recent rpms
  (note incompatible API change)
- New function verify_signature()
- Make sure -fno-strict-aliasing is used for compilation
- More docs

* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.36-1mdk
- Add flag ignorearch for installations

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-1mdk
- repackage flag bug fix

* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.34-1mdk
- Add $pkg->installtid method
- Doc nits, code cleanup
- No need for an explicit dependency on perl-base

* Thu Feb 09 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.33-1mdk
- Add repackage flag to run transactions

* Wed Jan 25 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.32-1mdk
- Minor modification to spec2srcheader()

* Thu Jan 19 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.31-1mdk
- New function spec2srcheader() (Olivier Thauvin)

* Fri Jan 06 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-2mdk
- Rebuild for rpm 4.4.4
- Fix a regression test

* Wed Dec 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-1mdk
- Fix epoch comparison bug
- Be compatible with rpm 4.4.3
- Add a URPM::Package::dump_flags debug method
- C code and makefile cleanup
- Don't require bzip2 anymore

* Wed Nov 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.29-1mdk
- Don't require packdrake, use MDV::Packdrakeng instead
- Support for --ignoresize

* Tue Oct 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.28-1mdk
- add some options to parse_rpm (nomd5, nopayload) (Olivier Thauvin)
- Build process cleanup

* Sat Sep 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.27-1mdk
- make add_macro quote embedded newlines. add_macro_noexpand now works like
  the previous version (i.e. like in the rpmlib)

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- Add noscripts option to run transactions

* Wed Aug 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- Better handle bad file descriptors returned by transaction callbacks (Pixel)
- Doc fixes

* Fri Aug 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-3mdk
- Allow to rebuild under non-C locales

* Fri Jul 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-2mdk
- Rebuild for rpm 4.4.2
- Doc nits

* Fri Jul 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-1mdk
- Add rpmErrorWriteTo() and rpmErrorString()

* Fri Jun 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.23-1mdk
- add setVerbosity function

* Wed Jun 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.22-1mdk
- Add make_delta_rpm function

* Wed Jun 01 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.21-1mdk
- Add the URPM::Package::payload_format method

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 1.20-3mdk
- Rebuild for rpm 4.4.1 (amd64)

* Tue May 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-2mdk
- Rebuild for rpm 4.4.1

* Thu May 05 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- Adaptations for rpm 4.4.1 (Olivier Thauvin)
- More deprecation for RPMSENSE_PREREQ
- Remove rpm 4.0 support
- when no preferred locale is found, put locales-en in front of choice list
  (bug #15628)

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.11-1mdk
- Speed optimisation for updating media

* Wed Mar 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- Prepare for obsolescence of PreReq rpm tag, introduce equivalent
  RPMSENSE_SCRIPT_* tags

* Tue Feb 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.09-1mdk
- Force recomputation of rejected packages when deleting some in installation
  dependency resolution

* Fri Feb 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.08-1mdk
- Add macro handling code (O. Thauvin)

* Wed Feb 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-4mdk
- Require perl-base >= 2:5.8.6 actually

* Fri Jan 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-3mdk
- Require perl-base >= 5.8.6
- Error handling nits.

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-2mdk
- Require packdrake (and no longer rpmtools)

* Mon Dec 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- Now returns the list of chosen packages sorted by descending version.

* Thu Dec 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.06-1mdk
- Don't fork a packdrake to build hdlists anymore, use Packdrakeng.pm instead.
- Remove unused requires.
- Add ChangeLog in documentation.

* Thu Nov 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.05-1mdk
- Allow to use non-contiguous selection ranges (Olivier Thauvin)

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.04-1mdk
- More info reported about failures in dependency resolution.

* Thu Oct 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-2mdk
- Support for urpmi --strict-arch option
- Multiarch fix (Gwenole Beauchesne)
- Don't use $TMPDIR if not writable

* Mon Aug 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.03-1mdk
- add rpmvercmp binding (from perl-Hdlist)

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.02-1mdk
- From now, never promote epochs in comparing versions.

* Thu Aug 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.01-1mdk
- Better fix for packages that obsolete themselves (François Pons)
- Protection against broken packages with bad fullnames (with an "@")

* Tue Aug 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- Protection against packages that obsolete themselves.
- Backwards compatibility with perl 5.6.
- Cleanups.

* Sat Jul 31 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.99-1mdk
- A small modification in the algorithm that searches for virtual provides:
  don't give a choice between several packages that are already installed.

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-2mdk
- Rebuild for new perl

* Fri Jul 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.98-1mdk
- Add a function URPM::stream2header()

* Thu Jul 15 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.97-1mdk
- Generate man page

* Tue Jul 13 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.96-1mdk
- Simplify the parsing of skip.list and inst.list files
- Segfault fixes by Olivier Thauvin

* Sat May 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-2mdk
- Don't include older packages than the installed ones in the dependencies
  (except when urpmi is invoked with --allow-force)

* Fri May 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-1mdk
- Add a way to make some error messages non-fatal

* Sat May 01 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-13mdk
- A few bugfixes
- Add the methods $pkg->queryformat() and $urpm->list_rpm_tag()
- More tests

* Thu Apr 22 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.94-12mdk
- cleanup and documentation

